// project created on 25/01/2005 at 13:38
using System;
using System.IO;
using System.Globalization;
using System.Threading;

class MainClass
{

	public static void guardar(string nom, double[] nums) {
		FileStream file2D = new FileStream(nom + "2D.txt", FileMode.OpenOrCreate, FileAccess.Write);
		StreamWriter sw2D = new StreamWriter(file2D);
		FileStream file3D = new FileStream(nom + "3D.txt", FileMode.OpenOrCreate, FileAccess.Write);
		StreamWriter sw3D = new StreamWriter(file3D);
		FileStream fileOA = new FileStream(nom + "OutputAnalyzer.txt", FileMode.OpenOrCreate, FileAccess.Write);
		StreamWriter swOA = new StreamWriter(fileOA);
		FileStream fileIA = new FileStream(nom + "InputAnalyzer.txt", FileMode.OpenOrCreate, FileAccess.Write);
		StreamWriter swIA = new StreamWriter(fileIA);
		
		int i;
		double acumulatiu = 0;
		for (i = 0; i<nums.Length-2; i++) {
			sw2D.WriteLine("{0} {1}", nums[i], nums[i + 1]);
			sw3D.WriteLine("{0} {1} {2}", nums[i], nums[i + 1], nums[i + 2]);
			swOA.WriteLine("{0} {1}", acumulatiu, nums[i]);
			acumulatiu += nums[i];
			swIA.WriteLine("{0}", nums[i]);
		}
		sw2D.WriteLine(nums[i] + " " + nums[i + 1]);
		acumulatiu += nums[i];
		swOA.WriteLine(acumulatiu + " " + nums[i]);
		swIA.WriteLine("{0}", nums[i]);
		
		sw2D.Close();
		file2D.Close();
		sw3D.Close();
		file3D.Close();
		swOA.Close();
		fileOA.Close();
		swIA.Close();
		fileIA.Close();
	}
	
	public static void Main(string[] args)	{
		int quantitat = 5000;
		
		// Cultura EEUU, aixi imprimim decimals amb punt i ho pot entendre gnu-plot
		Thread.CurrentThread.CurrentCulture = new CultureInfo( "en-US", false );
		
		Console.WriteLine("Generant numeros aleatoris...");
		Generador g1 = new GCL();
		Generador g2 = new Randu();
		Generador g3 = new Fibonacci();
		
		Console.WriteLine("- GCL");
		guardar("GCL", g1.Generar(quantitat));
		
		Console.WriteLine("- Randu");
		guardar("Randu", g2.Generar(quantitat));
		
		Console.WriteLine("- Fibonacci");
		guardar("Fibonacci", g3.Generar(quantitat));
		
		Console.WriteLine("Fi: Veure numeros als fitxers generats");
	}
}